Bug 1255543 - confusing error message with eu-strip (Only one input file allowed together with '-o' and '-f')
confusing error message with eu-strip (Only one input file allowed together w...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark Wielaard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 17:31 EDT by Johnny Robeson
Modified: 2015-08-22 04:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 04:01:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Robeson 2015-08-20 17:31:49 EDT
Description of problem:

with elfutils-0.163.1.fc21 and this command:
usr/bin/eu-strip  --remove-comment -f /home/johnny/hhvm-repo/hhvm/BUILDROOT/hhvm-3.9.0-1.fc21.x86_64/usr/lib/debug/usr/bin/hh_format.debug /home/johnny/hhvm-repo/hhvm/BUILDROOT/hhvm-3.9.0-1.fc21.x86_64/usr/bin/hh_format

I'm getting this error:
/usr/bin/eu-strip: Only one input file allowed together with '-o' and '-f'

I think this behaviour has changed in recent Fedora 21 builds, but I'm not entirely sure.

Do you see anything wrong with that command?
Comment 1 Mark Wielaard 2015-08-21 08:29:22 EDT
(In reply to Johnny Robeson from comment #0)
> with elfutils-0.163.1.fc21 and this command:
> usr/bin/eu-strip  --remove-comment -f
> /home/johnny/hhvm-repo/hhvm/BUILDROOT/hhvm-3.9.0-1.fc21.x86_64/usr/lib/debug/
> usr/bin/hh_format.debug
> /home/johnny/hhvm-repo/hhvm/BUILDROOT/hhvm-3.9.0-1.fc21.x86_64/usr/bin/
> hh_format
> 
> I'm getting this error:
> /usr/bin/eu-strip: Only one input file allowed together with '-o' and '-f'
> 
> I think this behaviour has changed in recent Fedora 21 builds, but I'm not
> entirely sure.
>
> Do you see anything wrong with that command?

That should be fine. If I do the following everything goes as expected:

$ echo "int main() { return 0; }" | gcc -g -o prog -xc -
$ eu-strip --remove-comment -f prog.debug prog

maybe there is an unexpected space or newline in your command line?
Comment 2 Johnny Robeson 2015-08-22 04:00:59 EDT
yep, it was some space. i removed the quoting of the arguments that get passed to the script and it went away.

Note You need to log in before you can comment on or make changes to this bug.